from xpcom import components, ServerException

from koLanguageServiceBase import *

class koBatchLanguage(KoLanguageBase):
    name = "Batch"
    _reg_desc_ = "%s Language" % name
    _reg_contractid_ = "@activestate.com/koLanguage?language=%s;1" \
                       % (name)
    _reg_clsid_ = "{12e65384-fe22-4c25-9922-069760da24d8}"

    defaultExtension = ".bat"
    
    def get_lexer(self):
        if self._lexer is None:
            self._lexer = KoLexerLanguageService()
            self._lexer.setLexer(components.interfaces.ISciMoz.SCLEX_BATCH)
        return self._lexer


