#!python
# Copyright (c) 2000-2001 ActiveState Tool Corporation.
# See the file LICENSE.txt for licensing information.


PROXY_SYNC    = 0x0001  # acts just like a function call.
PROXY_ASYNC   = 0x0002  # fire and forget.  This will return immediately and you will lose all return information.
PROXY_ALWAYS  = 0x0004  # ignore check to see if the eventQ is on the same thread as the caller, and alway return a proxied object.

from xpcom import components, _xpcom
from xpcom.server.enumerator import *

class KoLintProxyWrapper:
	_com_interfaces_ = [components.interfaces.koILintProxyWrapper]
	_reg_desc_ = "Komodo Hack to Create Proxies from JavaScript"
	_reg_clsid_ = "{1601E86E-3D9D-495e-8952-819130475748}"
	_reg_contractid_ = "@activestate.com/koLintProxyWrapper;1"

	def __init__(self):
		pass

	def __del__(self):
		pass

	def getProxyForObserver(self, object, proxyType):
		#print "getProxyForObserver()\n"
		temp = _xpcom.getProxyForObject(None, components.interfaces.koILintObserver, object, proxyType)
		#print "getProxyForObserver() succeeded" + `temp` + "\n"
		return temp

	def getProxyForBuffer(self, object, proxyType):
		return _xpcom.getProxyForObject(None, components.interfaces.koILintBuffer, object, proxyType)


