/* Copyright (c) 2000-2001 ActiveState Tool Corporation.
   See the file LICENSE.txt for licensing information. */

var dialog = {};

var osPathService = Components.classes["@activestate.com/koOsPath;1"]
            .getService(Components.interfaces.koIOsPath);

var gBaseDir;

function onPerlAppFileAddLoad() {
    // set up UI elements
    dialog.sourceFile = document.getElementById('sourceFile');
    dialog.destinationFile = document.getElementById('destinationFile');

    dialog.sourceFile.value = window.arguments[0].sourceFile;
    dialog.destinationFile.value = window.arguments[0].destinationFile;
    gBaseDir = window.arguments[0].baseDirectory;
    
    koDoSetOKCancel(doOk, doCancel);
    koMoveToAlertPosition();
}

function browse() {
    var nsIFilePicker = Components.interfaces.nsIFilePicker;
    var fp = Components.classes["@mozilla.org/filepicker;1"].createInstance(nsIFilePicker);
    fp.init(window, "Add File", Components.interfaces.nsIFilePicker.modeOpen);
    var localFileObj = Components.classes["@mozilla.org/file/local;1"].
                                createInstance().
                               QueryInterface(Components.interfaces.nsILocalFile);
    localFileObj.initWithPath(gBaseDir);
    fp.displayDirectory = localFileObj;
    fp.appendFilters(Components.interfaces.nsIFilePicker.filterAll)

    if (fp.show() == Components.interfaces.nsIFilePicker.returnOK) {
        if (osPathService.commonprefix(fp.file.path, gBaseDir) == gBaseDir) {
            // We relativize
            dialog.sourceFile.value = osPathService.relpath(fp.file.path, gBaseDir);
        } else {
            dialog.sourceFile.value = fp.file.path;
        }
        dialog.destinationFile.value = fp.file.leafName;
    }
}

function changeSourceFile() {
}

function changeDestinationFile() {

}

function doOk() {
    if (dialog.sourceFile.value == '' ||
        dialog.destinationFile.value == '') {
        return 0
    }

    window.arguments[0].sourceFile = dialog.sourceFile.value;
    window.arguments[0].destinationFile = dialog.destinationFile.value;
    return 1
}

function doCancel() {
    window.arguments[0].sourceFile = "";
    window.arguments[0].destinationFile = "";
    return 1
}