/* Copyright (c) 2000-2001 ActiveState Tool Corporation.
   See the file LICENSE.txt for licensing information. */

// Constants and global variables
const tag = 'chrome://komodo/content/pref/pref-file.xul';
var globalPrefService = Components.classes["@activestate.com/koPrefService;1"]
            .getService(Components.interfaces.koIPrefService);
var newPref;
var dialog;
var view;
var newHasChanged = false;

var _elementIDs = [
    "fileDefaultNew",
];

function PrefFile_OnLoad() {
    // set up UI elements
    dialog = {};
    dialog.fileDefaultNew = document.getElementById('fileDefaultNew');
  
    parent.hPrefWindow.onpageload(tag);
}

function OnPreferencePageLoading(prefset) {
    var newLang = prefset.getStringPref('fileDefaultNew');
    dialog.fileDefaultNew.selection = newLang;

}

function OnPreferencePageUnloading(prefset) {
    prefset.setStringPref('fileDefaultNew', dialog.fileDefaultNew.selection);
}

