/* Copyright (c) 2000-2001 ActiveState SRL. 
   See the file LICENSE.txt for licensing information. */

/* Web Services Setup Wizard - panel */

//---- globals

var _gPanelName = "chooseIni";
var _gFindingInterps = false;
var existingIni=null;
//---- Wizard Infrastructure interface routines

function validate()
{
    return parent.wd_info.existingIni &&
        parent._gOsPath.isfile(parent.wd_info.existingIni) &&
        parent.wd_info.ini &&
        parent.wd_info.ini == parent._gOsPath.realpath(parent.wd_info.ini);
}

function _UpdateExistingIni(ini)
{
    // Persist.
    existingIni = parent.wd_info.existingIni = ini;

    // Display the installation selection.
    document.getElementById("existingini").value = ini;
}

function _UpdateDebuggerIni(ini)
{
    // Persist.
    parent.wd_info.ini = parent._gOsPath.realpath(ini);

    // Display the installation selection.
    document.getElementById("debuginifile").value = ini;
}


//---- interface for wsSetup_ChooseInstallation.xul
function onInit()
{
}


function OnLoad()
{
    // Give a nice header name for this pane.
    var headerWidget = parent.document.getElementById("header");
    headerWidget.setAttribute("title", "Choose PHP INI path");
    headerWidget.setAttribute("description",
        "Select the path for the debug version of the PHP ini file.");

    parent._gPhpInfo.executablePath = parent.wd_info.interpreter
    _UpdateExistingIni(parent._gPhpInfo.cfg_file_path);
    
    var ini = parent._gOsPath.join(parent._gOsPath.dirname(parent.wd_info.interpreter),'debug');
    _UpdateDebuggerIni(ini)
    
    parent.wizardManager.onPageLoad(_gPanelName);
}

function UpdateExistingIni_OnBrowse()
{
    var filters = [['PHP INI Files',['php.ini']],['INI Files',['*.ini']],['All Files',['*.*','*','.*']]];
    var ini = BrowseForFile(existingIni, filters)
    if (ini != null) {
        _UpdateExistingIni(ini);
    }
}

function UpdateDebuggerIni_OnKeyup()
{
    parent.wd_info.ini = document.getElementById("debuginifile").value;
}

function UpdateDebuggerIni_OnBrowse()
{
    var dir = document.getElementById("debuginifile").value;
    if (!dir) {
    }
    var inipath = BrowseForDir(dir)
    if (inipath != null) {
        _UpdateDebuggerIni(inipath);
    }
}



