<!-- function for quickjump -->
<script language="JavaScript">
<!--
function quickjump(dropdown) {
	var i = dropdown.selectedIndex
	location = dropdown.options[i].value
}
//-->
</script>
<?
// include soap client class
include("class.soap_client.php");
// include timer class
include("timer.php");
// get list of all endpoints from xmethods
$timer = new timer;
$soapclient = new soapclient("http://www.xmethods.net/perl/soaplite.cgi");
$endpointArray = $soapclient->call("getAllEndpoints",array(),"http://soapinterop.org/ilab","http://soapinterop.org/ilab#getAllEndpoints");
foreach($endpointArray as $k => $v){
	$servers[str_replace("+","",$v["name"])] = $v;
}
print "(got server list in ".$timer->stop()." seconds<br>";
// method test params
$method_params["echoString"]["inputString"] = "test string";
$method_params["echoStringArray"]["inputStringArray"] = array("good","bad");
$method_params["echoInteger"]["inputInteger"] = 34345;
//$method_params["echoIntegerArray"]["inputIntegerArray"] = array(-1,342,325325);
$method_params["echoIntegerArray"]["inputIntegerArray"] = array(1,234324324,2);
$method_params["echoFloat"]["inputFloat"] = 342.23;
//$method_params["echoFloatArray"]["inputFloatArray"] = array(1.3223,34.2,325.325);
$method_params["echoFloatArray"]["inputFloatArray"] = array(
	new soapval("nan","float",32432.234),
	new soapval("inf","float",-23423.23),
	new soapval("neginf","float",-INF));
$method_params["echoStruct"]["inputStruct"] = new soapval("inputStruct","SOAPStruct",array(
	"varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325));
$method_params["echoStructArray"]["inputStructArray"] = array(
	new soapval("item","SOAPStruct",array("varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325)),
	new soapval("item","SOAPStruct",array("varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325)),
	new soapval("item","SOAPStruct",array("varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325))
);
$method_params["echoVoid"] = "";
$method_params["echoBase64"]["inputBase64"] = new soapval("inputBase64","base64Binary","TmVicmFza2E=");
$method_params["echoDate"]["inputDate"] = new soapval("inputDate","dateTime","2001-04-25T09:31:41-07:00");

?>

<form>
<select onChange='quickjump(this)'>
<option>Choose Server...
	<?
	print isset($nserver) ? "<option value='$PHP_SELF?nserver=$nserver'>$nserver" : "";
	foreach($servers as $k => $v){
		print "<option value='$PHP_SELF?nserver=$k'>$k\n";
	}
	?>
</select>
</form>

<?

if($nserver){
	$server = $servers[$nserver];
	// print server info
	foreach($server as $k => $v){
		print "<strong>$k:</strong> $v<br>";
	}
	print "<br><br>";
	// loop thru test suite
	foreach(array_keys($method_params) as $method){
		$timer = new timer;
		// create soap message
		if(!$soapmsg = new soapmsg($method,$method_params[$method],$server["methodNamespace"])){
			die("couldn't create soap message for method: $method!");
		} else {
			// invoke the client
			$client = new soap_client($server["endpoint"]);
			//$client->debug_flag = true;
			// methodname required?
			if($server["soapactionNeedsMethod"] == 1){
				$soapaction = $server["soapaction"].$method;
			} else {
				$soapaction = $server["soapaction"];
			}
			// send message and get response
			if($return = $client->send($soapmsg,$soapaction)){
				// check for valid response
				if(get_class($return) == "soapval"){
					// fault?
					if(eregi("fault",$return->name)){
						$status = "failed - got fault";
					} else {
						$status = "passed";
					}
				} else {
					$status = "failed - return was not a soapval object";
				}
			} else {
				$status = "failed - send/receive failed somewhere, go test in test_methods.php to see dumps";
			}
			// print results
			print "<b>METHOD: $method... ";
			print "<font color='";
			print ($status == "passed") ? "green" : "red";
			print "'>$status</font>";
			
			// timer results
			print " ( ".$timer->stop()." seconds ) ";
			// log the transaction, and print link to dumps
			if($harness){
				if($status == "failed"){
					$client->incoming_payload .= "\n\n<!-- SOAPx4 CLIENT DEBUG\n$client->debug_str\n\nRETURN VAL DEBUG: $return->debug_str-->";
				}
				$id = harness($nserver,$method,$client->outgoing_payload,$client->incoming_payload,$status);
				print "&nbsp;&nbsp;<a href='../client_dumps.php?id=$id'>view dumps...</a>";
			}
			
			print "<br>";
		}
	}
}

unset($soapmsg);
unset($client);
?>
