<?
$server->add_to_map(
	"echoString",
	array("string"),
	array("string")
);
/*
function echoString($inputString){
	return new soapval("return","string",$inputString);
}
*/
function echoString($inputString){
	if(! $inputString){
		$params = array(
		"faultcode" => "Server",
		"faultstring" => "Empty Input",
		"detail" => "No string detected."
		);
		
		$faultmsg  = new soapmsg("Fault",$params,"http://schemas.xmlsoap.org/soap/envelope/");
		return $faultmsg;
	}
	
	$returnSoapVal = new soapval("return","string",$inputString);
	return $returnSoapVal;
}

$server->add_to_map(
	"echoStringArray",
	array("array"),
	array("array")
);

function echoStringArray($inputStringArray){
	return $inputStringArray;
}

$server->add_to_map(
	"echoInteger",
	array("int"),
	array("int")
);
function echoInteger($inputInteger){
	return $inputInteger;
}

$server->add_to_map(
	"echoIntegerArray",
	array("array"),
	array("array")
);
function echoIntegerArray($inputIntegerArray){
	return $inputIntegerArray;
}

$server->add_to_map(
	"echoFloat",
	array("float"),
	array("float")
);
function echoFloat($inputFloat){
	return $inputFloat;
}

$server->add_to_map(
	"echoFloatArray",
	array("array"),
	array("array")
);
function echoFloatArray($inputFloatArray){
	return $inputFloatArray;
}

$server->add_to_map(
	"echoStruct",
	array("SOAPStruct"),
	array("SOAPStruct")
);
function echoStruct($inputStruct){
	return $inputStruct;
}

$server->add_to_map(
	"echoStructArray",
	array("array"),
	array("array")
);
function echoStructArray($inputStructArray){
	return $inputStructArray;
}

$server->add_to_map(
	"echoVoid",
	array(),
	array()
);
function echoVoid(){
}

$server->add_to_map(
	"echoBase64",
	array("base64Binary"),
	array("base64Binary")
);
function echoBase64($b_encoded){
	return base64_encode(base64_decode($b_encoded));
}

$server->add_to_map(
	"echoDate",
	array("dateTime"),
	array("dateTime")
);
function echoDate($timeInstant){
	return $timeInstant;
}


?>